
\ ********************** PER File **********************

?EXISTS DL.STAT SWAP DROP .IF 1 DL.STAT .THEN
_END NEW $$$.RUN FORGET $$$.RUN
GetPersistentTop  **FO-HVAC**
-2147483648 IVAR ^Air_TempLimitOK
-2147483648 FVAR ^AirTemp_Delivered
-2147483648 FVAR ^AirTemp_Mixed
-2147483648 FVAR ^AirTemp_Outside
-2147483648 FVAR ^AirTemp_Return
-2147483648 IVAR ^CV_ChangeOver
-2147483648 FVAR ^CV_ChilledWater
-2147483648 FVAR ^CV_Cooling
-2147483648 FVAR ^CV_Heat
-2147483648 FVAR ^CV_Steam
-2147483648 IVAR ^Damper_Loop_MODE
-2147483648 FVAR ^Damper_MixedAir
-2147483648 FVAR ^Damper_OutsideAir
-2147483648 FVAR ^Duct_Humidity
-2147483648 IVAR ^FB_AC_UNIT_Power
-2147483648 IVAR ^FB_CW_Pump1
-2147483648 IVAR ^FB_CW_Pump2
-2147483648 FVAR ^FB_D_MA
-2147483648 IVAR ^FB_Freeze_Status
-2147483648 IVAR ^FB_Pump1
-2147483648 IVAR ^FB_Pump2
-2147483648 IVAR ^modulate_damper_loop
-2147483648 IVAR ^Run_CW_Pump1
-2147483648 IVAR ^Run_CW_Pump2
-2147483648 IVAR ^Run_Pump1
-2147483648 IVAR ^Run_Pump2
-2147483648 FVAR ^T_DA_Set_Pt
-2147483648 FVAR ^WaterTemp_Perimeter
-2147483648 FVAR ^WaterTemp_Reheat
PersistentMAKECHECK

\ ********************** CRN File **********************

_END NEW $$$.RUN
: FILENAME  ." FO-HVAC " ;
1 0 $VAR *_HSV_SEMA 
1024 0 $VAR *_HSV_TEMP 
200 0 $VAR *_HSV_INIT_IO 
0 IVAR ^_HNV_INIT_IO 
0 TASK  &_INIT_IO
0 TASK &Alarm_Monitor
0 TASK &Cooling_Mode
0 TASK &Damper_Control
0 TASK &Heating_Mode
0 TASK &Powerup
0 IVAR ^Air_TempLimit
1073741824 IVAR ^nChartStatus
0 IVAR ^OA_HIGH_TEMP
0 IVAR ^OA_LOW_TEMP
0 FVAR ^OA_TEMP_DB

nullM64BOARD $FFFFFFFE $FFFFFFFE 16 33024 1.000000 0.010000 0.000000 2001 $C0A80016 0 11 BOARD.MMP %FO_HVAC
 4  1 APOINT    0.0000 75  0  0 %FO_HVAC 0 POINT.TNG ~T_PER
 4  1 APOINT    0.0000 75  1  0 %FO_HVAC 0 POINT.TNG ~T_RH
 4  1 APOINT    0.0000 75  2  0 %FO_HVAC 0 POINT.TNG ~T_OA
 2  1 APOINT    0.0000 165  0  1 %FO_HVAC 0 POINT.TNG ~CV_CO
  10.0000    0.0000 ~CV_CO SET.SCALE
  10.0000    2.0000 ~CV_CO SET.RANGE
 2  1 APOINT    0.0000 165  1  1 %FO_HVAC 0 POINT.TNG ~CV_CE
  10.0000    0.0000 ~CV_CE SET.SCALE
  10.0000    2.0000 ~CV_CE SET.RANGE
 2  1 APOINT    0.0000 165  0  2 %FO_HVAC 0 POINT.TNG ~CV_HE
  10.0000    0.0000 ~CV_HE SET.SCALE
  10.0000    2.0000 ~CV_HE SET.RANGE
 2  1 APOINT    0.0000 165  1  2 %FO_HVAC 0 POINT.TNG ~CV_RH
  10.0000    0.0000 ~CV_RH SET.SCALE
  10.0000    2.0000 ~CV_RH SET.RANGE
 4  1 SPOINT 0.0     INPUT  0  3 %FO_HVAC 0 POINT.TNG ~P1_RUN_FB
 4  1 SPOINT 0.0     INPUT  1  3 %FO_HVAC 0 POINT.TNG ~P2_RUN_FB
 4  1 SPOINT 0.0    OUTPUT  0  4 %FO_HVAC 0 POINT.TNG ~R_P1_RUN
 4  1 SPOINT 0.0    OUTPUT  1  4 %FO_HVAC 0 POINT.TNG ~R_P2_RUN
 4  1 APOINT    0.0000 75  0  5 %FO_HVAC 0 POINT.TNG ~T_DA
 4  1 APOINT    0.0000 75  1  5 %FO_HVAC 0 POINT.TNG ~T_RA
 4  1 APOINT  -40.0000 75  2  5 %FO_HVAC 0 POINT.TNG ~T_MA
48293.3359  -40.0000 ~T_MA SET.SCALE
 2  1 APOINT    0.0000 165  0  6 %FO_HVAC 0 POINT.TNG ~CV_CW
  10.0000    0.0000 ~CV_CW SET.SCALE
  10.0000    2.0000 ~CV_CW SET.RANGE
 2  1 APOINT    0.0000 165  1  6 %FO_HVAC 0 POINT.TNG ~CV_ST
  10.0000    0.0000 ~CV_ST SET.SCALE
  10.0000    2.0000 ~CV_ST SET.RANGE
 2  1 APOINT    0.0000 165  0  7 %FO_HVAC 0 POINT.TNG ~D_OA_IO
  10.0000    0.0000 ~D_OA_IO SET.RANGE
 2  1 APOINT    0.0000 165  1  7 %FO_HVAC 0 POINT.TNG ~D_MA
  10.0000    0.0000 ~D_MA SET.RANGE
 4  1 SPOINT 0.0     INPUT  0  8 %FO_HVAC 0 POINT.TNG ~CW_P1_RUN_FB
 4  1 SPOINT 0.0     INPUT  1  8 %FO_HVAC 0 POINT.TNG ~CW_P2_RUN_FB
 4  1 SPOINT 0.0    OUTPUT  0  9 %FO_HVAC 0 POINT.TNG ~R_CWP1_RUN
 4  1 SPOINT 0.0    OUTPUT  1  9 %FO_HVAC 0 POINT.TNG ~R_CWP2_RUN
 2  1 APOINT -100.0000 12  0 10 %FO_HVAC 0 POINT.TNG ~D_HIM
 100.0000 -100.0000 ~D_HIM SET.SCALE
 2  1 APOINT -100.0000 12  1 10 %FO_HVAC 0 POINT.TNG ~D_MA_FB
 100.0000 -100.0000 ~D_MA_FB SET.SCALE
1    0.0000    0.0000    0.0000    0.0000    0.0000   10.0000    0.0000   10.0000
   1.0000    0.0000    0.0000    1.0000    0.0000    0.0000
   0.0000    0.0000 ~CV_CW
$b0000004 4 %FO_HVAC 0 PID |Chilled_Water_Loop
1    0.0000    0.0000    0.0000    0.0000    2.0000   10.0000    0.0000   10.0000
   1.0000    0.0000    0.0000    1.0000    0.0000    0.0000
   0.0000    0.0000 ~CV_CE
$b0000004 0 %FO_HVAC 0 PID |Cooling_Exchanger_Loop
3    0.0000    0.0000    0.0000    0.0000   10.0000  100.0000    0.0000  100.0000
  10.0000    0.0000    0.0000    0.5000   10.0000    0.0000
  65.0000 ~T_MA ~D_MA
$10000004 5 %FO_HVAC 0 PID |Damper_Loop
1    0.0000    0.0000    0.0000    0.0000    0.0000   10.0000    0.0000   10.0000
   1.0000    0.0000    0.0000    1.0000    0.0000    0.0000
   0.0000    0.0000 ~CV_HE
$b0000004 1 %FO_HVAC 0 PID |Heat_Exchanger_Loop
1    0.0000    0.0000    0.0000    0.0000    0.0000   10.0000    0.0000   10.0000
   1.0000    0.0000    0.0000    1.0000    0.0000    0.0000
   0.0000    0.0000 ~CV_RH
$b0000004 2 %FO_HVAC 0 PID |Reheat_Loop
1    0.0000    0.0000    0.0000    0.0000    0.0000   10.0000    0.0000   10.0000
   1.0000    0.0000    0.0000    1.0000    0.0000    0.0000
   0.0000    0.0000 ~CV_ST
$b0000004 3 %FO_HVAC 0 PID |Steam_Loop
: 4_0
0 JUMP ;
T: T4
DUMMY
4_0
T;
&Alarm_Monitor ' T4 SETTASK
: 2_0
0 JUMP ;
T: T2
DUMMY
2_0
T;
&Cooling_Mode ' T2 SETTASK
: 1_0
5 JUMP ;
: 1_6
6 LINE.NUM ^modulate_damper_loop @@ 0 = IF 
7 LINE.NUM 1 ^modulate_damper_loop @! 
12 LINE.NUM |Damper_Loop ^T_DA_Set_Pt @@  $0002.. 3 ROLL !PID 
15 LINE.NUM 0 ^Damper_Loop_MODE @! 
18 LINE.NUM |Damper_Loop ^Damper_Loop_MODE @@  $20000.. 3 ROLL !PID 
19 LINE.NUM THEN 
26 LINE.NUM ^modulate_damper_loop @@ 1 = IF 
28 LINE.NUM |Damper_Loop ^T_DA_Set_Pt @@  $0002.. 3 ROLL !PID 
32 LINE.NUM ~D_MA @@ ~D_OA_IO @! 
33 LINE.NUM ~D_MA @@ ^Damper_MixedAir @! 
34 LINE.NUM ~D_OA_IO @@ ^Damper_OutsideAir @! 
35 LINE.NUM THEN 
4 JUMP ;
: 1_17
12 LINE.NUM 1 ^Damper_Loop_MODE @! 
15 LINE.NUM |Damper_Loop ^Damper_Loop_MODE @@  $20000.. 3 ROLL !PID 
25 LINE.NUM 100 I>F 1 I>F ~D_MA  F!RAMP 
26 LINE.NUM 100 I>F 1 I>F ~D_OA_IO  F!RAMP 
31 LINE.NUM ~D_MA @@ ^Damper_MixedAir @! 
32 LINE.NUM ~D_OA_IO @@ ^Damper_OutsideAir @! 
33 LINE.NUM 0 ^Air_TempLimitOK @! 
9 JUMP ;
: 1_29

1 LINE.NUM
  1  
  ^Air_TempLimit @!   
2 JUMP ;
: 1_34
5 LINE.NUM ^AirTemp_Outside @@ ^OA_LOW_TEMP @@F ^OA_TEMP_DB @@ F+ F>= ^AirTemp_Outside @@ ^OA_HIGH_TEMP @@F ^OA_TEMP_DB @@ F- F<= LAND  IF 
8 LINE.NUM 1 ^Air_TempLimitOK @! 
9 LINE.NUM 0 ^modulate_damper_loop @! 
11 LINE.NUM THEN 
6 JUMP ;
: 1_36

1 LINE.NUM
  0  
  ^Air_TempLimitOK @!   

2 LINE.NUM
  0  
  ^Air_TempLimit @!   
0 JUMP ;
: 1_50
2 LINE.NUM ~T_OA @@ ^AirTemp_Outside @! 
3 JUMP ;
: 1_59

1 LINE.NUM
  10.0    FDELAY
-2 JUMP ;
: 1_16
TRUE

1 LINE.NUM
  ^AirTemp_Outside @@ 
  ^OA_LOW_TEMP @@F   F<
LAND
IF -7 ELSE 0 THEN JUMP ;
: 1_21
TRUE

1 LINE.NUM
  ^AirTemp_Outside @@ 
  ^OA_HIGH_TEMP @@F   F>
LAND
IF -8 ELSE -9 THEN JUMP ;
: 1_28
TRUE

1 LINE.NUM
  ^Air_TempLimit @@ 
  1    =
LAND
IF -7 ELSE -3 THEN JUMP ;
: 1_38
TRUE

1 LINE.NUM
  ^Air_TempLimitOK @@ 
  1    =
LAND
IF -7 ELSE -5 THEN JUMP ;
: 1_68
TRUE

1 LINE.NUM
  ~D_OA_IO @@ 
  100 I>F   F=
LAND

2 LINE.NUM
  ~D_MA @@ 
  100 I>F   F=
LAND
IF -10 ELSE -1 THEN JUMP ;
T: T1
DUMMY
1_0
1_6
1_17
1_29
1_34
1_36
1_50
1_59
1_16
1_21
1_28
1_38
1_68
T;
&Damper_Control ' T1 SETTASK
: 3_0
1 JUMP ;
: 3_1
0 JUMP ;
T: T3
DUMMY
3_0
3_1
T;
&Heating_Mode ' T3 SETTASK
: 0_0
1 JUMP ;
: 0_20
4 JUMP ;
: 0_21

1 LINE.NUM
  &Damper_Control   START.T
  ^nChartStatus @! 
0 JUMP ;
: 0_22

1 LINE.NUM
  &Cooling_Mode   START.T
  ^nChartStatus @! 
0 JUMP ;
: 0_25

1 LINE.NUM
  &Heating_Mode   START.T
  ^nChartStatus @! 
0 JUMP ;
: 0_26

1 LINE.NUM
  &Alarm_Monitor   START.T
  ^nChartStatus @! 
-5 JUMP ;
T: T0
DUMMY
0_0
0_20
0_21
0_22
0_25
0_26
T;
&Powerup ' T0 SETTASK
CREATE T.ARRAY
&Alarm_Monitor ,
&Cooling_Mode ,
&Damper_Control ,
&Heating_Mode ,
&Powerup ,
 0 ,
CREATE V.ARRAY
^Air_TempLimit ,
^Air_TempLimitOK ,
^AirTemp_Delivered ,
^AirTemp_Mixed ,
^AirTemp_Outside ,
^AirTemp_Return ,
^CV_ChangeOver ,
^CV_ChilledWater ,
^CV_Cooling ,
^CV_Heat ,
^CV_Steam ,
^Damper_Loop_MODE ,
^Damper_MixedAir ,
^Damper_OutsideAir ,
^Duct_Humidity ,
^FB_AC_UNIT_Power ,
^FB_CW_Pump1 ,
^FB_CW_Pump2 ,
^FB_D_MA ,
^FB_Freeze_Status ,
^FB_Pump1 ,
^FB_Pump2 ,
^modulate_damper_loop ,
^nChartStatus ,
^OA_HIGH_TEMP ,
^OA_LOW_TEMP ,
^OA_TEMP_DB ,
^Run_CW_Pump1 ,
^Run_CW_Pump2 ,
^Run_Pump1 ,
^Run_Pump2 ,
^T_DA_Set_Pt ,
^WaterTemp_Perimeter ,
^WaterTemp_Reheat ,
*_HSV_SEMA ,
*_HSV_TEMP ,
 0 ,
CREATE TI.ARRAY
 0 ,
CREATE PTR.ARRAY
 0 ,
CREATE TA.ARRAY 
 0 ,
CREATE PTRTABLE.ARRAY 
 0 ,
CREATE B.ARRAY
%FO_HVAC ,
 0 ,
CREATE P.ARRAY
~CW_P1_RUN_FB ,
~CW_P2_RUN_FB ,
~P1_RUN_FB ,
~P2_RUN_FB ,
~R_CWP1_RUN ,
~R_CWP2_RUN ,
~R_P1_RUN ,
~R_P2_RUN ,
~CV_CE ,
~CV_CO ,
~CV_CW ,
~CV_HE ,
~CV_RH ,
~CV_ST ,
~D_HIM ,
~D_MA ,
~D_MA_FB ,
~D_OA_IO ,
~T_DA ,
~T_MA ,
~T_OA ,
~T_PER ,
~T_RA ,
~T_RH ,
 0 ,
CREATE PID.ARRAY
 |Chilled_Water_Loop ,
 |Cooling_Exchanger_Loop ,
 |Damper_Loop ,
 |Heat_Exchanger_Loop ,
 |Reheat_Loop ,
 |Steam_Loop ,
 0 ,
CREATE E/R.ARRAY
 0 ,
CREATE E/RGROUP.ARRAY
 0 ,
: CONFIG_PORTS
;
: W_INIT_IO
CONFIG_PORTS
|Chilled_Water_Loop ENABLE
|Cooling_Exchanger_Loop ENABLE
|Damper_Loop ENABLE
|Heat_Exchanger_Loop ENABLE
|Reheat_Loop ENABLE
|Steam_Loop ENABLE
" %FO_HVAC  (1/1)" *_HSV_INIT_IO $MOVE 0 ^_HNV_INIT_IO @!
%FO_HVAC ENABLE
   0.0000 ~T_MA IN.F!POINT
 " Initializing variables" *_HSV_INIT_IO $MOVE
0 ^Air_TempLimit @!
75 ^OA_HIGH_TEMP @!
40 ^OA_LOW_TEMP @!
1.0000000 ^OA_TEMP_DB @!
 " " *_HSV_INIT_IO $MOVE
;
T: T_INIT_IO
W_INIT_IO
&Powerup START.T DROP
T;
&_INIT_IO ' T_INIT_IO  SETTASK
   : _RUN
   CLEARERRORS
   &_INIT_IO START.T DROP
   ;
: DATESTAMP ." 08/04/16 " ;
: TIMESTAMP ." 09:51:13 " ;
: CRCSTAMP  ." 1CD09B5BC31021D0C90C24284E1294C2 " ;
MAKECHECK
CLEAR.BREAKS

\ ********************** INC File **********************

0 ^nChartStatus @!
\ ""DOWNLOAD_COMPRESSION_OFF
MAKECHECK 
0 0 0 BP! 
0 0 1 BP! 
0 0 2 BP! 
0 0 3 BP! 
0 0 4 BP! 
0 0 5 BP! 
0 0 6 BP! 
0 0 7 BP! 
0 0 8 BP! 
0 0 9 BP! 
0 0 10 BP! 
0 0 11 BP! 
0 0 12 BP! 
0 0 13 BP! 
0 0 14 BP! 
0 0 15 BP! 
BurnIt . 
0 I!AUTORUN 
?EXISTS DL.STAT SWAP DROP .IF 0 DL.STAT .THEN
